<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>MCUXpresso SDK API Reference Manual: VREF: Voltage Reference Driver</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="fs_logo.gif"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">MCUXpresso SDK API Reference Manual
   &#160;<span id="projectnumber">Rev. 0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__vref.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">VREF: Voltage Reference Driver</div>  </div>
</div><!--header-->
<div class="contents">
<a name="details" id="details"></a><h2 class="groupheader">Overview</h2>
<p>The MCUXpresso SDK provides a peripheral driver for the Crossbar Voltage Reference (VREF) block of MCUXpresso SDK devices.</p>
<p>The Voltage Reference(VREF) supplies an accurate 1.2 V voltage output that can be trimmed in 0.5 mV steps. VREF can be used in applications to provide a reference voltage to external devices and to internal analog peripherals, such as the ADC, DAC, or CMP. The voltage reference has operating modes that provide different levels of supply rejection and power consumption.</p>
<p>To configure the VREF driver, configure <a class="el" href="group__vref.html#structvref__config__t" title="The description structure for the VREF module. ">vref_config_t</a> structure in one of two ways.</p>
<ol type="1">
<li>Use the <a class="el" href="group__vref.html#ga75fd76b8991bf283c6bfda6e9503433c" title="Initializes the VREF configuration structure. ">VREF_GetDefaultConfig()</a> function.</li>
<li>Set the parameter in the <a class="el" href="group__vref.html#structvref__config__t" title="The description structure for the VREF module. ">vref_config_t</a> structure.</li>
</ol>
<p>To initialize the VREF driver, call the <a class="el" href="group__vref.html#gafa6d07d12cf6fb74c84b995f35a57c21" title="Enables the clock gate and configures the VREF module according to the configuration structure...">VREF_Init()</a> function and pass a pointer to the <a class="el" href="group__vref.html#structvref__config__t" title="The description structure for the VREF module. ">vref_config_t</a> structure.</p>
<p>To de-initialize the VREF driver, call the <a class="el" href="group__vref.html#ga19cab0650f351da4be7ab2ac0d313d8d" title="Stops and disables the clock for the VREF module. ">VREF_Deinit()</a> function.</p>
<h1><a class="anchor" id="VrefExample"></a>
Typical use case and example</h1>
<p>This example shows how to generate a reference voltage by using the VREF module.</p>
<div class="fragment"><div class="line"><a class="code" href="group__vref.html#structvref__config__t">vref_config_t</a> vrefUserConfig;</div>
<div class="line"><a class="code" href="group__vref.html#ga75fd76b8991bf283c6bfda6e9503433c">VREF_GetDefaultConfig</a>(&amp;vrefUserConfig); <span class="comment">/* Gets a default configuration. */</span></div>
<div class="line"><a class="code" href="group__vref.html#gafa6d07d12cf6fb74c84b995f35a57c21">VREF_Init</a>(VREF, &amp;vrefUserConfig);       <span class="comment">/* Initializes and configures the VREF module */</span></div>
<div class="line"></div>
<div class="line"><span class="comment">/* Do something */</span></div>
<div class="line"></div>
<div class="line"><a class="code" href="group__vref.html#ga19cab0650f351da4be7ab2ac0d313d8d">VREF_Deinit</a>(VREF); <span class="comment">/* De-initializes the VREF module */</span></div>
</div><!-- fragment --> <table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:structvref__config__t"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#structvref__config__t">vref_config_t</a></td></tr>
<tr class="memdesc:structvref__config__t"><td class="mdescLeft">&#160;</td><td class="mdescRight">The description structure for the VREF module.  <a href="group__vref.html#structvref__config__t">More...</a><br/></td></tr>
<tr class="separator:structvref__config__t"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga791fe2db52ad2d1e359ac294a00e0c7f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#ga791fe2db52ad2d1e359ac294a00e0c7f">vref_buffer_mode_t</a> { <br/>
&#160;&#160;<a class="el" href="group__vref.html#gga791fe2db52ad2d1e359ac294a00e0c7fa7bfbc7e442bd6dd4de711875938583d0">kVREF_ModeBandgapOnly</a> = 0U, 
<br/>
&#160;&#160;<a class="el" href="group__vref.html#gga791fe2db52ad2d1e359ac294a00e0c7fa92a6fb92dffd810070d7d24716df5363">kVREF_ModeHighPowerBuffer</a> = 1U, 
<br/>
&#160;&#160;<a class="el" href="group__vref.html#gga791fe2db52ad2d1e359ac294a00e0c7fa3279f93bb3f666981dbe39d97ab7a54a">kVREF_ModeLowPowerBuffer</a> = 2U
<br/>
 }</td></tr>
<tr class="memdesc:ga791fe2db52ad2d1e359ac294a00e0c7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">VREF modes.  <a href="group__vref.html#ga791fe2db52ad2d1e359ac294a00e0c7f">More...</a><br/></td></tr>
<tr class="separator:ga791fe2db52ad2d1e359ac294a00e0c7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Driver version</h2></td></tr>
<tr class="memitem:gad7ba9384fd16e0483299df84f2f5d327"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#gad7ba9384fd16e0483299df84f2f5d327">FSL_VREF_DRIVER_VERSION</a>&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 1, 0))</td></tr>
<tr class="memdesc:gad7ba9384fd16e0483299df84f2f5d327"><td class="mdescLeft">&#160;</td><td class="mdescRight">Version 2.1.0.  <a href="#gad7ba9384fd16e0483299df84f2f5d327">More...</a><br/></td></tr>
<tr class="separator:gad7ba9384fd16e0483299df84f2f5d327"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
VREF functional operation</h2></td></tr>
<tr class="memitem:gafa6d07d12cf6fb74c84b995f35a57c21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#gafa6d07d12cf6fb74c84b995f35a57c21">VREF_Init</a> (VREF_Type *base, const <a class="el" href="group__vref.html#structvref__config__t">vref_config_t</a> *config)</td></tr>
<tr class="memdesc:gafa6d07d12cf6fb74c84b995f35a57c21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the clock gate and configures the VREF module according to the configuration structure.  <a href="#gafa6d07d12cf6fb74c84b995f35a57c21">More...</a><br/></td></tr>
<tr class="separator:gafa6d07d12cf6fb74c84b995f35a57c21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga19cab0650f351da4be7ab2ac0d313d8d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#ga19cab0650f351da4be7ab2ac0d313d8d">VREF_Deinit</a> (VREF_Type *base)</td></tr>
<tr class="memdesc:ga19cab0650f351da4be7ab2ac0d313d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stops and disables the clock for the VREF module.  <a href="#ga19cab0650f351da4be7ab2ac0d313d8d">More...</a><br/></td></tr>
<tr class="separator:ga19cab0650f351da4be7ab2ac0d313d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga75fd76b8991bf283c6bfda6e9503433c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#ga75fd76b8991bf283c6bfda6e9503433c">VREF_GetDefaultConfig</a> (<a class="el" href="group__vref.html#structvref__config__t">vref_config_t</a> *config)</td></tr>
<tr class="memdesc:ga75fd76b8991bf283c6bfda6e9503433c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the VREF configuration structure.  <a href="#ga75fd76b8991bf283c6bfda6e9503433c">More...</a><br/></td></tr>
<tr class="separator:ga75fd76b8991bf283c6bfda6e9503433c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac298cc63090a16123d466eb8efc9cfe3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#gac298cc63090a16123d466eb8efc9cfe3">VREF_SetTrimVal</a> (VREF_Type *base, uint8_t trimValue)</td></tr>
<tr class="memdesc:gac298cc63090a16123d466eb8efc9cfe3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a TRIM value for the reference voltage.  <a href="#gac298cc63090a16123d466eb8efc9cfe3">More...</a><br/></td></tr>
<tr class="separator:gac298cc63090a16123d466eb8efc9cfe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6fc89e608c1ddb5b323ad8d992ccbbb"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#gab6fc89e608c1ddb5b323ad8d992ccbbb">VREF_GetTrimVal</a> (VREF_Type *base)</td></tr>
<tr class="memdesc:gab6fc89e608c1ddb5b323ad8d992ccbbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads the value of the TRIM meaning output voltage.  <a href="#gab6fc89e608c1ddb5b323ad8d992ccbbb">More...</a><br/></td></tr>
<tr class="separator:gab6fc89e608c1ddb5b323ad8d992ccbbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="structvref__config__t" id="structvref__config__t"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct vref_config_t</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock"></div><table class="memberdecls">
<tr><td colspan="2"><h3>Data Fields</h3></td></tr>
<tr class="memitem:aaebd388066e67761926d03b9f039a39a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaebd388066e67761926d03b9f039a39a"></a>
<a class="el" href="group__vref.html#ga791fe2db52ad2d1e359ac294a00e0c7f">vref_buffer_mode_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vref.html#aaebd388066e67761926d03b9f039a39a">bufferMode</a></td></tr>
<tr class="memdesc:aaebd388066e67761926d03b9f039a39a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Buffer mode selection. <br/></td></tr>
<tr class="separator:aaebd388066e67761926d03b9f039a39a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="gad7ba9384fd16e0483299df84f2f5d327"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FSL_VREF_DRIVER_VERSION&#160;&#160;&#160;(<a class="el" href="group__flash__driver.html#ga812138aa3315b0c6953c1a26130bcc37">MAKE_VERSION</a>(2, 1, 0))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga791fe2db52ad2d1e359ac294a00e0c7f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__vref.html#ga791fe2db52ad2d1e359ac294a00e0c7f">vref_buffer_mode_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="gga791fe2db52ad2d1e359ac294a00e0c7fa7bfbc7e442bd6dd4de711875938583d0"></a>kVREF_ModeBandgapOnly</em>&nbsp;</td><td class="fielddoc">
<p>Bandgap on only, for stabilization and startup. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga791fe2db52ad2d1e359ac294a00e0c7fa92a6fb92dffd810070d7d24716df5363"></a>kVREF_ModeHighPowerBuffer</em>&nbsp;</td><td class="fielddoc">
<p>High-power buffer mode enabled. </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="gga791fe2db52ad2d1e359ac294a00e0c7fa3279f93bb3f666981dbe39d97ab7a54a"></a>kVREF_ModeLowPowerBuffer</em>&nbsp;</td><td class="fielddoc">
<p>Low-power buffer mode enabled. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gafa6d07d12cf6fb74c84b995f35a57c21"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VREF_Init </td>
          <td>(</td>
          <td class="paramtype">VREF_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__vref.html#structvref__config__t">vref_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function must be called before calling all other VREF driver functions, read/write registers, and configurations with user-defined settings. The example below shows how to set up <a class="el" href="group__vref.html#structvref__config__t" title="The description structure for the VREF module. ">vref_config_t</a> parameters and how to call the VREF_Init function by passing in these parameters. This is an example. </p>
<div class="fragment"><div class="line">*   <a class="code" href="group__vref.html#structvref__config__t">vref_config_t</a> vrefConfig;</div>
<div class="line">*   vrefConfig.<a class="code" href="group__vref.html#aaebd388066e67761926d03b9f039a39a">bufferMode</a> = <a class="code" href="group__vref.html#gga791fe2db52ad2d1e359ac294a00e0c7fa92a6fb92dffd810070d7d24716df5363">kVREF_ModeHighPowerBuffer</a>;</div>
<div class="line">*   vrefConfig.enableExternalVoltRef = <span class="keyword">false</span>;</div>
<div class="line">*   vrefConfig.enableLowRef = <span class="keyword">false</span>;</div>
<div class="line">*   <a class="code" href="group__vref.html#gafa6d07d12cf6fb74c84b995f35a57c21">VREF_Init</a>(VREF, &amp;vrefConfig);</div>
<div class="line">* </div>
</div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>VREF peripheral address. </td></tr>
    <tr><td class="paramname">config</td><td>Pointer to the configuration structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga19cab0650f351da4be7ab2ac0d313d8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VREF_Deinit </td>
          <td>(</td>
          <td class="paramtype">VREF_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function should be called to shut down the module. This is an example. </p>
<div class="fragment"><div class="line">*   <a class="code" href="group__vref.html#structvref__config__t">vref_config_t</a> vrefUserConfig;</div>
<div class="line">*   <a class="code" href="group__vref.html#gafa6d07d12cf6fb74c84b995f35a57c21">VREF_Init</a>(VREF);</div>
<div class="line">*   <a class="code" href="group__vref.html#ga75fd76b8991bf283c6bfda6e9503433c">VREF_GetDefaultConfig</a>(&amp;vrefUserConfig);</div>
<div class="line">*   ...</div>
<div class="line">*   <a class="code" href="group__vref.html#ga19cab0650f351da4be7ab2ac0d313d8d">VREF_Deinit</a>(VREF);</div>
<div class="line">* </div>
</div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>VREF peripheral address. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga75fd76b8991bf283c6bfda6e9503433c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VREF_GetDefaultConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__vref.html#structvref__config__t">vref_config_t</a> *&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function initializes the VREF configuration structure to default values. This is an example. </p>
<div class="fragment"><div class="line">*   vrefConfig-&gt;<a class="code" href="group__vref.html#aaebd388066e67761926d03b9f039a39a">bufferMode</a> = <a class="code" href="group__vref.html#gga791fe2db52ad2d1e359ac294a00e0c7fa92a6fb92dffd810070d7d24716df5363">kVREF_ModeHighPowerBuffer</a>;</div>
<div class="line">*   vrefConfig-&gt;enableExternalVoltRef = <span class="keyword">false</span>;</div>
<div class="line">*   vrefConfig-&gt;enableLowRef = <span class="keyword">false</span>;</div>
<div class="line">* </div>
</div><!-- fragment --><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>Pointer to the initialization structure. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac298cc63090a16123d466eb8efc9cfe3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void VREF_SetTrimVal </td>
          <td>(</td>
          <td class="paramtype">VREF_Type *&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>trimValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This function sets a TRIM value for the reference voltage. Note that the TRIM value maximum is 0x3F.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>VREF peripheral address. </td></tr>
    <tr><td class="paramname">trimValue</td><td>Value of the trim register to set the output reference voltage (maximum 0x3F (6-bit)). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gab6fc89e608c1ddb5b323ad8d992ccbbb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t VREF_GetTrimVal </td>
          <td>(</td>
          <td class="paramtype">VREF_Type *&#160;</td>
          <td class="paramname"><em>base</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function gets the TRIM value from the TRM register.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">base</td><td>VREF peripheral address. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Six-bit value of trim setting. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
